h = 1e-5;
x = linspace(1-h, 1+h,100);
y = x.^5-5*x.^4+10*x.^3-10*x.^2+5*x-1;
plot(x,y)

%%% y = (x-1)^5 simbólicamente
% Resultado a lo más h^5 -> 1e-25 menor que eps
% Es imposible detectar una cancelación de 1e-25
% con números de tamaño como 10.

% Con números como 10 a lo más podremos detectar
% cancelaciones como 10*eps
hmax = 1/2*(10*eps)^(1/5)
% del orden del este será el límite para ver la gráfica
x = linspace(1-hmax, 1+hmax,100);
y = x.^5-5*x.^4+10*x.^3-10*x.^2+5*x-1;
plot(x,y)
